Initiate a load transaction

This POST endpoint is used to initiate a load transaction, allowing you to add funds to a user token's wallet.
To use this endpoint, you need to provide the user_token as a parameter in the URL Path. You also need to provide the client_load_id, source_token, and amount as JSON parameters in the Request Body. The client_load_id is a unique identifier for the transaction that you can use to track it, while the source_token is the token or account from which the funds will be loaded. The amount parameter specifies the amount of funds to be loaded into the user's wallet.
The response will contain a JSON object indicating the status of the load transaction and any relevant details.

Path Params
string
required

Token representing the user to load

Body Params

Load information

string
required

A client defined load identifier. This is the unique ID assigned to the load on your system. Max 50 characters.

uuid
required

Token that represents the funding source i.e. bank account, wallet. 36 characters long

number
required

The amount to credit the user's wallet in source currency

string

The currency originating balance is stored in. Using ISO 4217 format. In most cases this value will be USD, and therefore the defaut value if none is provided. There is a special currency case for PNTS - learn more [here] (#Points)

string
length ≤ 255

A description for the load. Will be visible to the user receiving the load

boolean
Defaults to true

Should we notify the user via email that they've received a load? If the user has no existing account, they will receive instructions to establish such account.

string

Future date/time to process the load on. If none is provided, it is processed right away. Time to be provided in UTC ISO 8601

metadata
object

Optional JSON object with attributes that can later be searched to locate this load. Do not include PII as this object is not encrypted. There are two special attributes that can be provided in the metadata field: batch_identifier and batch_name. Either of those values, would group transactions in the ledger under the same description.

Headers
string

Unique key to prevent duplicate processing

Responses

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json